/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide('dm.analysis.app.ui.internal.IA_Settings'); //$NON-NLS-1$

(function() {

	// Init on load of this file. Synchronous, but should be very fast.
	jazz.client.xhrGet({
		url: net.jazz.ajax._contextRoot + '/ia_settings', //$NON-NLS-1$
		handleAs: 'json', //$NON-NLS-1$
		sync: true,

		load: function (settings) {
			dojo.mixin(dm.analysis.app.ui.internal.IA_Settings, settings);
		},

		error: function(error, ioArgs) {
			console.error('Could not load IA settings.', error, ioArgs.xhr.responseText); //$NON-NLS-1$
		}
	});
	
})();