/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.AllImpactAnalysisesInput");

dojo.require("dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil");
var AnalysisUtil = dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil;

dojo.require("rmps.ui.editor.EditorInput");
dojo.require("dojox.encoding.digests.MD5");

dojo.require("dojo.i18n");

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.AllImpactAnalysisesInput", rmps.ui.editor.EditorInput, {
	
	constructor: function() {
	
	},
	
	getId: function() {
		return dojox.encoding.digests.MD5(this.declaredClass + ',' + this.projectId);
	},
	
	getIconUri: function() {
		return dojo.moduleUrl("dm.analysis.app", "graphics/icons/impact.gif");
	},
	
	getName: function() {
		return messages.allAnalysisMainCaption;
	},
	
	getTooltip: function() {
		return messages.allAnalysisMainCaption;
	},
	
	getBasePresentationUri: function() {
		return AnalysisUtil.getAllAnalysisUri();
	}
});

})();
