/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.IASideNavigation");
dojo.require("rmps.app.ui.internal.pages.SideNavigation");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.SideNavigationAnalysisContents");

dojo.require("dijit._Widget");

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactComentMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis", "ImpactAnalysisMessages"); 

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.IASideNavigation", rmps.app.ui.internal.pages.SideNavigation, {
	
	_treeSection:null,
	tree:null,
	
	setNavTreevisibility: function (bool)
	{
		this._treeSection.setVisible(bool);
	},
	
	addSectionsCreators: function(sectionsCreators){
		this.inherited("addSectionsCreators", arguments);
		sectionsCreators.push(dm.analysis.app.ui.internal.impactanalysis.SideNavigationAnalysisContents.createAnalysisNavigationContents);
	}
});

})();
