/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.config.AllIAConfigsInput");

dojo.require("rmps.ui.editor.EditorInput");
dojo.require("dojox.encoding.digests.MD5");
dojo.require("dojo.i18n");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil");
var AnalysisUtil = dm.analysis.app.ui.internal.impactanalysis.util.AnalysisUtil;

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis.config", "ImpactAnalysisConfigMessages"); 
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis.config", "ImpactAnalysisConfigMessages"); 

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.config.AllIAConfigsInput", rmps.ui.editor.EditorInput, {
	
	constructor: function() {
	
	},
	
	getId: function() {
		return dojox.encoding.digests.MD5(this.declaredClass + ',' + this.projectId);
	},
	
	getIconUri: function() {
		return dojo.moduleUrl("dm.analysis.app", "graphics/icons/ia_filter.gif");
	},
	
	getName: function() {
		return messages.iaConfigTitle;
	},
	
	getTooltip: function() {
		return null;
	},
	
	getBasePresentationUri: function() {
		return AnalysisUtil.getAllConfigAnalysisUri(/*pageId?*/);
	}
});

})();
