/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//all IA config editor , input
	iaConfigTitle: "Impact Analysis Filters",
	newConfig : "Create Impact Analysis Filter",
	refresh: "Refresh",
	confirmDeleteSelected: "Are you sure you want to delete the selected filters?",
	exportFilters: "Export Selected Filters",

	deleteSelected: "Delete Selected Filters",
	multiDelSuccess: "The selected filters were successfully deleted.",
	multiDelConnected: "The selected filters could not all be deleted. Some are in use by one or more profiles.",
	multiDelFailed: "The selected filters could not all be deleted.",

	name: "Name",
	description: "Description",
	lastModified : "Last Modified",
	modifier: "Modifier",
	actions: "Actions",
	systemDefined: "(system defined)",
	toggleRowSelection: "Select Filter",

	//Actions
	reset: "Reset",
	deleteConfig: "Delete",
	edit: "Edit",

	//Delete/Reset Messages
	cantDelete: "The Impact Filter '${0}' could not be deleted. It may be in use by one or more Impact Analysis Profiles.",
	cantReset: "The system Impact Filter '${0}' could not be reset.",
	successDelete: "The Impact Filter '${0}' was deleted.",
	successReset: "The system Impact Filter '${0}' was reset.",
	
	errorMissingTitle: 'CRMIA0001E The name of the impact analysis filter is missing.',
	'errorMissingTitle.explanation': 'The name uniquely identifies the impact analysis filter in a list.',
	'errorMissingTitle.useraction': 'Specify a unique name. Leading and trailing whitespace will be removed.',

	errorCreateNewIAConfig: "CRMIA0002E The server cannot create an impact analysis filter.",
	'errorCreateNewIAConfig.explanation': "An unexpected error occurred while creating an impact analysis filter.",
	'errorCreateNewIAConfig.useraction': "Verify that the server is running, and that you can connect to the server; then try to create the impact analysis filter again.",

	errorSaving:"CRMIA0003E Your changes to the impact analysis filter cannot be saved.",
	'errorSaving.explanation': "An unexpected error occurred while saving an impact analysis filter.",
	'errorSaving.useraction':"Verify that the server is running, and that you can connect to the server; then try to save your changes again.",

	errorGetDomains:"CRMIA0004E The server cannot retrieve the list of domains.",
	'errorGetDomains.explanation':"An unexpected error occurred while retrieving the list of domains.",
	'errorGetDomains.useraction':"Verify that the server is running, and that you can connect to the server; then try to retrieve the list again.",

	errorGetLinkTypes:"CRMIA0005E The server cannot retrieve the list of link types.",
	'errorGetLinkTypes.explanation':"An unexpected error occurred while retrieving the list of link types.",
	'errorGetLinkTypes.useraction':"Verify that the server is running, and that you can connect to the server;  then try to retrieve the list again.",

	errorGetElementTypes:"CRMIA0006E The server cannot retrieve the list of artifact types.",
	'errorGetElementTypes.explanation': "An unexpected error occurred while retrieving the list of artifact types.",
	'errorGetElementTypes.useraction':" Verify that the server is running, and that you can connect to the server;  then try to retrieve the list again.",
	
	//IA editor:
	newImpactAnalysisConfigTitle: "Add a filter name",
	cancel: "Cancel",

	//General
	sectionTitle_general: "General",
	remove:"Remove Impact Filter",
	confirmDelete: "Are you sure you want to delete the Impact Analysis Filter '${0}'?",
	confirmReset: "Are you sure you want to reset the system defined Impact Analysis Filter '${0}'?",
	iaEditorName : "Impact Filter Name:",
	iaEditorGeneralTitleSystemDefined:"System defined filter",
	iaEditorDesc: "Description:",
	iaEditorDescHover: "A description of this filter.",
	iaEditorUpStream:  "Upstream Levels:",
	iaEditorUpStreamHover: "Depth to traverse upstream from the Focus Artifact.",
	iaEditorDownStream:  "Downstream Levels:",
	iaEditorDownStreamHover: "Depth to traverse downstream from the Focus Artifact.",

	//Filters
	sectionTitle_filters: "Filters",
	iaEditorIgnoreSelected: "Ignore Selected Artifacts and Links",
	iaEditorAddArtifactTypeToolTip: "Add Artifact Type",
	iaEditorAddLinkTypeToolTip: "Add Link Type",
	iaEditorTypesAdd: "Add",

	iaEditorFilteredElements: "Filtered Artifacts",
	iaEditorElementType: "Artifact Type",
	iaEditorSelectionElement: "Artifact",

	iaEditorFilteredLinks: "Filtered Links",
	iaEditorLinkType: "Link Type",
	iaEditorSelectionLink: "Link",
	
	//Project
	sectionTitle_advanced: "Project Linking",
	iaEditorAdvancedTitle: "Advanced",
	iaEditorAdvancedInter: "Cross Domain Links:",
	iaEditorAdvancedInterHover: "Cross Domain Links",
	
	//AddTypeDialog
	iaEditorSelectionElmDialogTool: "Domain:",
	iaEditorSelectionElmDialogType: "Value:",
	iaEditorSelectionElmDialogAdd: "Add",
	iaEditorSelectionElmDialogTitle: "Add Filter",
	iaEditorSelectionElmDialogNoElmForToolMsg: "No more Artifact/Link types are available to select for this domain.",
	addTypeDialogResourceLabel: 'Artifact',
	addTypeDialogPredicateLabel: 'Link',
	valueListUpdated: "The value list was recently updated with new types...",
	
	//TOOLS/DOMAIN - depracated
	iaEditorSelectedToolsTitle:"Domains",
	iaEditorToolName: "Domain Name ",
	iaEditorToolsLinkDirection: "Link Direction",
	iaEditorKeepDirection: "Keep the direction of links",
	iaEditorReverseDirection : "Reverse the direction of links",
	iaEditorToolsAdd: "Add",
	iaEditorToolsAddToolTip: "Add selected domain",
	iaEditorToolsRemove: "Remove Domain",
	iaEditorToolUsedByLinkMsg: "Domain being used by one of the Selection Link types below",
	iaEditorToolUsedByElementMsg: "Domain being used by one of the Selection Artifact types below",
	iaEditorSelectionToolDialogTitle: "Add Domain to Impact Analysis Filter",
	iaEditorSelectionToolDialogTool:"Domain:",
	iaEditorSelectionToolDialogDirection:"Direction of Links:"
})
