/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//ImpactAnalysis
	
	//AllImpactAnalysisesEditor and input
	noIALabel: "No diagrams found.",
	noIAFilterMatchesLabel: "No diagrams match the current filter criteria.",
	allAnalysisNew: "Create Impact Analysis",
	allAnalysisRefresh: "Refresh",
	allAnalysisName : "Name",
	allAnalysisElement :"Focus Artifact",
	allAnalysisLastExecution: "Last Execution",
	allAnalysisResult: "Result",
	allAnalysisActions: "Actions",
	allAnalysisMainCaption: "Impact Analysis Diagrams",
	allAnalysisEdit: "Edit",
	allAnalysisDelete: "Delete",
	
	newImpactAnalysisTitle: "Add a diagram name",
	
	//Toolbar
	setDistanceText:"Levels to display:",
	zoomFit:"Zoom to fit",
	resetZoom:"Reset Zoom",
	openLegend:"Open Legend",
	showEditLabel: "Show Edit Panel",
	hideEditLabel: "Dismiss",
	
	//Accordion
	panelTreeNavTitle: "Navigation Tree",
	navigationTreeLabel: 'Types:',
	panelAddedArtifactsTitle: "Added Artifacts",
	panelHiddenArtifactsTitle: "Hidden Artifacts",
	panelHiddenArtifactTypesTitle: "Hidden Types",
	panelCommentTitle: "Comment",

	//InlineEditor
	tabTitle_impactDefinition: "Focus and Profile",
	tabTitle_traversal: "Traversal",
	tabTitle_filters: "Active Filters",
	element: "Focus Artifact:",
	profile: "Impact Analysis Profile:",
	maxHops : "Max Depth:",
	profileHover: 'Impact Analysis Profile',
	maxDepthHover: 'Maximum depth',
	
	largeDiagramWarningIE8: "Diagram rendering performance in your browser (Internet Explorer 8) can be very slow for this size of diagram (${nArtifacts} artifacts, ${nLinks} links). Talk to your system administrator about upgrading to a more recent browser.", //!SERVICE
	largeDiagramWarning: "Diagram rendering may be slow for a diagram of this size (${nArtifacts} artifacts, ${nLinks} links). Consider using or creating an Impact Analysis Profile that limits the link types and artifact types retrieved.", //!SERVICE
	renderingCancelled: "Diagram load stopped at your request.",
	impactAnalysisRequestCancelled: "Impact analysis computation cancelled at your request.  Click the refresh button to reload the diagram.",
	
	drawingDiagram:"Drawing results ....",
	removeElementsfilterApplyed:"Hidden Artifacts filter applied. ",
	removeElementsDistancefilterApplyed:"Hidden Artifacts and Distance filters applied. ",
	distancefilterApplyed:"Distance filter applied. ",
	
	//IASideNavigation
	
	iaSideNavTreeCaption : "Navigation Tree",
	recentlyViewed: "Recently Viewed",

	// 0 - the resource number
	// 1 - the resource name
	recentName: "${0}: ${1}",
	
	// 0 - number of unsaved work
	unsavedWorkCount: "Unsaved Work (${0})",
	unsavedWork: "Unsaved Work",
	
	// 0 - the resource name
	dirtyName: "* ${0}",
	
	// 0 - name
	// 1 - description
	search_tooltip: "${0} (${1})",
	search_refresh_tooltip: "Run the most recent query again to show the latest results.",
	
	save: "Save",
	refresh: "Refresh",
	close: "Close",
	cancel: 'Cancel',
	stop: 'Stop',
	unsavedProfileChanges: "You have made changes to the Profile for this Diagram. If you proceed, you will lose those changes. Press 'Cancel' if you would like to make a new Profile.",
	
	explorerTitle: "Explorer",
	snapshotTitle: "Snapshot",
	
	//impactanalysisEditor
	iaEditorSave: "Save",
	iaEditorExe: "Apply",//"Run",
	iaEditorLocate: "Choose Focus Artifact",
	iaEditorSaveProfile: "Save",
	iaEditorSaveProfileHover: "Save the changes made to the Profile",
	remove:"remove",

	//Error Messages:
	errorCreateNewIA: "CRMIA0100E The server cannot create the impact analysis diagram. ", 
    'errorCreateNewIA.explanation': "The server might not be running or it might be unreachable.", 
    'errorCreateNewIA.useraction': "Verify that the server is running and that you can connect to it; then, try to create the impact analysis diagram again.", 

    errorGetAllIADiagrams:"CRMIA0101E The server cannot retrieve the list of impact analysis diagrams. ", 
    'errorGetAllIADiagrams.explanation':"The server might not be running or it might be unreachable.", 
    'errorGetAllIADiagrams.useraction':" Verify that the server is running and that you can connect to it; then, try to retrieve the list of diagrams again.", 

    errorGetAllIAConfigs:"CRMIA0102E The server cannot retrieve the impact analysis filters.", 
    'errorGetAllIAConfigs.explanation':"The server might not be running or it might be unreachable.", 
    'errorGetAllIAConfigs.useraction':"Verify that the server is running and that you can connect to it; then, try to retrieve the list of filters again.", 

    errorGetAllIAProfiles:"CRMIA0111E The server cannot retrieve the impact analysis profiles.", 
    'errorGetAllIAProfiles.explanation':"The server might not be running or it might be unreachable.", 
    'errorGetAllIAProfiles.useraction':"Verify that the server is running and that you can connect to it; then, try to retrieve the list of profiles again.", 

    errorTargetInfo:"CRMIA0103E The server cannot retrieve information about the focus artifact.", 
    'errorTargetInfo.explanation':"The server might not be running or it might be unreachable.", 
    'errorTargetInfo.useraction':"Verify that the server is running and that you can connect to it; then, select a valid focus artifact and try again.", 

    errorUnavailableResource:"CRMIA0106E The following resource is unavailable: (${0})", 
    'errorUnavailableResource.explanation':"Either the resource is not indexed or the index is unavailable.", 
    'errorUnavailableResource.useraction':"Ask a system administrator to verify that the Lifecycle Query Engine is running and accepting connections, and to confirm that the engine indexed the resource.", 

    errorCannotExpandArtifact:"CRMIA0109E The artifact could not be expanded.",
    'errorCannotExpandArtifact.explanation':'Information about the selected artifact could not be gathered from the server.',
    'errorCannotExpandArtifact.useraction':'Verify that the server is running and that you can connect to it; then, refresh the diagram and try again.',

	errorSaving:"CRMIA0104E The server cannot save the changes to the impact analysis diagram.", 
    'errorSaving.explanation':"The server might not be running or it might be unreachable.", 
    'errorSaving.useraction': "Verify that the server is running and that you can connect to it; then, try to save your changes again.", 

    errorGetViewTypes:"CRMIA0105E The server cannot retrieve the list of view types.", 
    'errorGetViewTypes.explanation':"The server might not be running or it might be unreachable.", 
    'errorGetViewTypes.useraction':"Verify that the server is running and that you can connect to it; then, try to retrieve the list of view types again.", 

    errorMissingTitle: 'The impact analysis diagram does not have a name.', //!SERVICE
    'errorMissingTitle.explanation': 'Each impact analysis diagram requires a unique name that can identify it in a list.',
	'errorMissingTitle.useraction': 'Specify a unique name for the diagram. Leading and trailing whitespace will be removed.',

    errorMissingTargetElement: 'CRMIA0107E An invalid focus artifact is specified for the impact analysis diagram.', 
    'errorMissingTargetElement.explanation': 'This error might occur if the artifact was removed or if you switched to a profile that does not contain the specified focus artifact and than ran the impact analysis .', 
    'errorMissingTargetElement.useraction': 'Select a valid focus artifact for the impact analysis diagram.', 

	errorMissingUpstreamDepth: 'The upstream depth for this impact analysis Profile is missing.', //!SERVICE
	errorMissingDownstreamDepth: 'The downstream depth for this impact analysis Profile is missing.', //!SERVICE
	errorMissingFullTraceDepth: 'The full trace depth for this impact analysis Profile is missing.',
	
    errorUnableToSaveIA: 'CRMIA0108E The changes to the impact analysis diagram cannot be saved.', 
    'errorUnableToSaveIA.explanation': 'The server might not be running or it might be unreachable..', 
    'errorUnableToSaveIA.useraction': 'Verify that the server is running and that you can connect to it; then, try to save your changes again.', 
	
	cantDelete: "The impact analysis cannot be deleted. ",
    cantRunWithoutTargetElement: "You must specify a focus artifact for the impact analysis.",
	cantRemoveTargetElement:"Removing the Focus Artifact is forbidden.",
	cantRemoveAddedElements:"Removing one of the Added Artifacts is forbidden.",
	legalDepthNumber : "You must specify a valid number in the Max Depth field.",

	//Confirmations:
	confirmDelete: "Are you sure you want to delete the Impact Analysis '${0}'?",
	confirmHideArtifact: "This Artifact and its related Artifacts will be removed from the diagram. Use the Hidden Artifacts panel to undo this action.",
	confirmHideArtifacts: "These Artifacts and related Artifacts will be removed from the diagram. Use the Hidden Artifacts panel to undo this action.",
	confirmHideType: "The Artifact type ${0} will be filtered out of view in the diagram. Use the Hidden Types panel to undo this action.",
	
	//impact diagram
	reset: "Reset",
	
	//Popup menu for diagram nodes
	actionHideArtifact: "Hide Artifact",
	actionHideType: "Hide Type",
	actionPreview: "Preview",
	actionExpand: "Expand",
	actionCollapse: "Collapse",
	unknownName: "Unknown name",

	//ProgressDialog
	progressDialog_defaultTitle: 'Progress',
	progressDialog_cancel: 'Cancel',
	
	//LegendDialog
	legendDiagramTitle: "Legend",
	elementsLegend: "Artifacts Legend",
	linksLegend: "Links Legend",
	focusArtifact: "Focus Artifact",

	interLink: "Cross Domain Link" ,
	intraLink: "Internal Link" ,
	crossDomainLink: "Cross Domain Relation",

	//InitDiagramDialog
	initDialogTitle: "Impact Analysis",
	initDialogNoArtifactSelected: "No artifact selected. Select the focus artifact.",
	initDialogDescriptionLabel: "Description:",
	initDialogFiltersLabel: "Filters:",
	profileLabel: "Profile",
	initDialogArtifactRequired: "A focus artifact is required to start an analysis",
	dialogButtonStartAnalysis: "Start Analysis",
	noFilters: "Active filters are not set. You can set them later in the Active Filters tab.",

	//IASearchBox
	search: "Search",
	loading: "Loading...",
	advancedSearch: "Advanced Search",

	//SaveProfileDialog
	saveProfileDialogTitle: "Save Profile",
	nameLabel: "Profile Name:",
	descriptionLabel: "Profile Description:",
	descriptionHover: "Profile Description",
	dialogButtonCancel: "Cancel",
	dialogButtonSaveProfile: "Save Profile",

	// Layout types
	layoutHierarchical: "Hierarchical",
	layoutTree: "Tree",
	layoutRadialTree: "Radial Tree",
	layoutForceDirected: "Force-Directed",
	layoutCircular: "Circular",
	
	// Compute Impact Analysis
	computeImpactAnalysis: 'Computing Impact Analysis',
	retrievingNodeInfo: 'Retrieving artifact info...',
	expandingNode: 'Expanding artifact...',
	nothingExpanded: 'Nothing more to show for this artifact',

	computeImpactAnalysisError: 'CRMIA0110E The server cannot create the impact analysis diagram.',
    'computeImpactAnalysisError.explanation': 'The server might not be running or it might be unreachable.',
    'computeImpactAnalysisError.useraction': 'Verify that the server is running and that you can connect to it; then, try to create the impact analysis diagram again.',
	
	// Iterator progress messages
	iteratorProgressWithTotal: '${0} of ${1}',
	iteratorProgress: '${0}',
	
	// DiagramLoader progress steps/messages
	diagramLoadInit: 'Initializing',
	diagramLoadCreateModel: 'Creating Model',
	diagramLoadCreateShapes: 'Creating Shapes: ${0}', // ${0}: iteratorProgress or iteratorProgressWithTotal message from above
	diagramLoadCreateLinks: 'Creating Links: ${0}', // ${0}: iteratorProgress or iteratorProgressWithTotal message from above
	diagramLoadLayout: 'Computing Layout',
	
	impactAnalysisGraphCutOff: 'Impact analysis stopped analyzing at depth ${0}, to expand further select a node and click "Expand".',
	toExpandFurther: 'The impact analysis stopped analyzing at depth ${0} because the operation exceeded the time limit of ${1} seconds.',
	mustSaveBeforeExecutingAction: 'You must save the impact analysis diagram before performing this action.',
	
	infoNotAvailable: 'More information not available. If available, your administrator should ensure that the server the link points to is configured as a Friend server. Not all links support previews.',

	previewSelectedArtifact: 'Preview Selected Artifact',
	hideSelectedArtifacts: 'Hide Selected Artifacts',	
	hideSelectedTypes: 'Hide Selected Types',	
	expandSelectedArtifact: 'Expand Selected Artifact',
	collapseSelectedArtifact: 'Collapse Selected Artifact',
	debugSelectedArtifact: 'Debug Selected Artifact',
	
	configuration: 'Configuration:',
	initDialogNoConfigurationSelected: 'No configuration selected.',
	removeConfiguration: 'Remove selected configuration context',
	noConfigurationRequired: 'Focus artifact already is a configuration.'
})