/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.util.EditorUtil");

dm.analysis.app.ui.internal.impactanalysis.util.EditorUtil = {

	animateMissingEditorTitle: function(titleNode){
		titleContainer = dojo.NodeList(titleNode).closest('table')[0];

		dojo.style(titleNode, 'backgroundColor', 'white');

		var anim = dojo.animateProperty({
			node: titleContainer,
			properties: {
				'backgroundColor': {start: '#FECC7E', end: 'white'}
			},
			duration: 1500,
			onEnd: function() { 
				dojo.style(titleContainer, 'backgroundColor', '');
				dojo.style(titleNode, 'backgroundColor', '');
			}
		});
		anim.play();
	}

};
}());