/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.BaseTable");

dojo.require("rmps.ui.Table");

/**
 * This class is a basic table and temporary solution to hide the pagination controls as 
 * for ImpactAnalysis browsing tables never supported pagination.
 */
dojo.declare("dm.analysis.app.ui.internal.impactanalysis.BaseTable", [rmps.ui.Table], {
	
	postCreate: function() {
		this.inherited(arguments);

		dojo.style(this._itemsPerPage, 'visibility', 'hidden');
		dojo.style(this.pagingControl.previousNode, 'visibility', 'hidden');
		dojo.style(this.pagingControl.nextNode, 'visibility', 'hidden');
		dojo.style(this.pagingControl.infoNode, 'visibility', 'hidden');
		dojo.style(this.footerPagingControl.previousNode, 'visibility', 'hidden');
		dojo.style(this.footerPagingControl.nextNode, 'visibility', 'hidden');
		dojo.style(this.footerPagingControl.infoNode, 'visibility', 'hidden');
	},
	
});

}());