/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
 
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.IAActionsCache"); //$NON-NLS-1$

dojo.require('jazz.client.xhr'); //$NON-NLS-1$


(function(){
	// The values here must match the keyword names as defined in ProductNameUtil.ProductKeyword.
	dm.analysis.app.ui.internal.impactanalysis.IAActionsCache = [];

	jazz.client.xhrGet({
			url: net.jazz.ajax._contextRoot + '/iaactions', //$NON-NLS-1$
			handleAs: "json", //$NON-NLS-1$,
			sync: true,
			load: function(results) {
				dm.analysis.app.ui.internal.impactanalysis.IAActionsCache = results;
			},

			error: function(error, args) {
				//Do nothing just no custom actions will show
			}
	});

	
})();