/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.ImpactAnalysisesForGroupInput");

dojo.require("rmps.ui.editor.EditorInput");
dojo.require("dojox.encoding.digests.MD5");
dojo.require("jazz.app.context");

dojo.require("dojo.i18n");

dojo.declare("dm.analysis.app.ui.internal.impactanalysis.ImpactAnalysisesForGroupInput", rmps.ui.editor.EditorInput, {
	
	constructor: function() {
	
	},
	
	getId: function() {
		return dojox.encoding.digests.MD5(this.declaredClass + ',' + this.projectId);
	},
	
	getIconUri: function() {
		return dojo.moduleUrl("dm.analysis.app", "graphics/icons/impact.gif");
	},
	
	getName: function() {
		return "Impact Analyses For Group";
	},
	
	getTooltip: function() {
		return null;
	},
	
	getBasePresentationUri: function() {
		return "#action=dm.app.impactanalysis.impactsForGroup&id=dm.app.impactanalysis";
	}
});

})();
