/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.panels.ArtifactFilterListPanel");

dojo.require("dijit._Widget");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.panels.ElementListPanel");

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis.panels", "ImpactAnalysisPanelsMessages");
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis.panels", "ImpactAnalysisPanelsMessages");

dojo.declare(
	"dm.analysis.app.ui.internal.impactanalysis.panels.ArtifactFilterListPanel",
	dm.analysis.app.ui.internal.impactanalysis.panels.ElementListPanel,
	{
		messages: messages,

		postCreate: function(){
			this.nameColumnLabel = messages.typeName;
			this.inherited(arguments);
		},

		startup: function(){
			this.load(this.editor.editorInput.impactAnalysis.artifactQuickFilters);
		},

		//override	
		restoreElement: function(row, listPanel)
		{
			listPanel.editor.removeArtifactQuickFilter(row.uri);
		}

	});

})();