/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.analysis.app.ui.internal.impactanalysis.panels.RemoveElementListPanel");

dojo.require("dijit._Widget");
dojo.require("dm.analysis.app.ui.internal.impactanalysis.panels.ElementListPanel");

dojo.requireLocalization("dm.analysis.app.ui.internal.impactanalysis.panels", "ImpactAnalysisPanelsMessages");
var messages = dojo.i18n.getLocalization("dm.analysis.app.ui.internal.impactanalysis.panels", "ImpactAnalysisPanelsMessages");

dojo.declare(
	"dm.analysis.app.ui.internal.impactanalysis.panels.RemoveElementListPanel",
	dm.analysis.app.ui.internal.impactanalysis.panels.ElementListPanel,
	{
		messages:messages,

		startup: function(){
			this.load(this.editor.editorInput.impactAnalysis.removedElements);
		},

		//override	
		restoreElement:function(row, listPanel)
		{
			listPanel.editor.restoreRemovedElement(row.uri);
		}

	});

})();